%define	name		    TinyCA
%define tarball_name    tinyca
%define version		    0.6.1
%define release		    1.norlug
%define localedir   %{_datadir}/locale/

Name:			%{name}
Version:		%{version}
Release:		%{release}
Source0:		%{tarball_name}-%{version}.tar.bz2
URL:			http://tinyca.sm-zone.net/
Group:			System/Servers
License:		GPL
Summary:		Small Certification Authority (CA) management program
BuildRoot:		%{_tmppath}/%{name}-%{version}-buidroot
Requires: 		Gtk-Perl, perl-Locale-gettext >= 1.01
BuildArch:		noarch

%description 
TinyCA is a simple GUI written in Perl/Gtk to manage a small
certification authority (CA). It is based on OpenSSL and Perl
modules from the OpenCA project. TinyCA lets you manage x509
certificates. It is possible to export data in PEM or DER
format for use with servers, as PKCS#12 for use with clients,
or as S/MIME certificates for use with email programs. It is
also possible to import your own PKCS#10 requests and generate
certificates from them.

%prep
%setup -q -n %{name}
cd $RPM_BUILD_DIR/TinyCA
# Configure pristine source
perl -pi -e 's:./lib:%{_libdir}/%{name}/lib:g' tinyca
perl -pi -e 's:./templates:%{_libdir}/%{name}/templates:g' tinyca
perl -pi -e 's:./locale:%{localedir}:g' tinyca
perl -pi -e 's:usr//bin:usr/bin:g' tinyca

%build
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}/{lib,templates}
mkdir -p $RPM_BUILD_ROOT%{_bindir}/
#mkdir -p $RPM_BUILD_ROOT%{localedir}/de/LC_MESSAGES/

install -m 444 lib/*.pm $RPM_BUILD_ROOT%{_libdir}/%{name}/lib/
install -m 644 templates/openssl.cnf $RPM_BUILD_ROOT%{_libdir}/%{name}/templates/
install -m 755 tinyca $RPM_BUILD_ROOT%{_bindir}/
#msgfmt po/de.po -o po/tinyca.mo
#install -m 644 po/tinyca.mo $RPM_BUILD_ROOT%{localedir}/de/LC_MESSAGES/

#%find_lang %name --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES INSTALL
%{_bindir}/*
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/templates/
%{_libdir}/%{name}/templates/openssl.cnf
%{_libdir}/%{name}/lib

%changelog
* Sun May 23 2004 Chip Cuccio <chipster@norlug.org> 0.6.1-3
- update to 0.6.1

* Sun May 16 2004 Chip Cuccio <chipster@norlug.org> 0.6.0-3
- initual build

